
QGIS Application - Bug report #4419

Improve random colour ramps

2011-10-21 03:01 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14351

Description

The random colour ramps are generally ugly, and often colours are repeated

Associated revisions

Revision f0120656 - 2013-06-04 07:13 AM - Nyall Dawson

Fix #4419, improve random color ramp appearance and generate colors with better chance of uniqueness

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-06-03 10:45 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"f01206565847655d1caee64d342d999988c66491".

#5 - 2013-06-07 06:57 AM - Giovanni Manghi

- File 45.png added

Nyall Dawson wrote:

Fixed in changeset commit:"f01206565847655d1caee64d342d999988c66491".

Hi Nyall, good afternoon,
how the fix is supposed to work? I created a 99 color random color ramp, and by default it looks much better than before, but when applied it is not random

at all, see attached image. Thanks!

#6 - 2013-06-15 04:43 AM - Giovanni Manghi

Nyall Dawson wrote:

Fixed in changeset commit:"f01206565847655d1caee64d342d999988c66491".

bump, see #4419-5

#7 - 2013-07-12 02:58 AM - Paolo Cavallini

- Status changed from Closed to Reopened

#8 - 2013-07-12 02:59 AM - Paolo Cavallini

Apparently the ramp is created well, but is not applied, and the resulting vector or raster is blank.

#9 - 2013-07-12 03:07 AM - Nathan Woodrow

Do you have a image.  I don't have any issues with colour ramps here.

#10 - 2013-07-12 03:31 AM - Giovanni Manghi

Nathan Woodrow wrote:

Do you have a image.  I don't have any issues with colour ramps here.

https://issues.qgis.org/attachments/5852/45.png

#11 - 2013-07-12 03:51 AM - Paolo Cavallini

- File colour_ramp.png added

Apparently it is misclassified, see attached.

#12 - 2013-07-12 03:53 AM - Giovanni Manghi

Paolo Cavallini wrote:

Apparently it is misclassified, see attached.

confirmed, but it works if you use mode "equal interval".
it seems to affect only the random color ramps, other manually created ramps seems not affected.

#13 - 2013-10-01 07:12 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"f01206565847655d1caee64d342d999988c66491".

#14 - 2013-11-24 02:25 AM - Giovanni Manghi

- File 26.png added

- File 27.png added

Nyall Dawson wrote:

Fixed in changeset commit:"f01206565847655d1caee64d342d999988c66491".

Hi Nyall,

I just tested master and things seems better but not as good with the old "random" symbology we had in the old symbology engine. See the attached

images.

At this point I don't think that makes a lot of sense re-opening this ticket, what I suggest is to open a feature request to add a new renderer ("random")

eventually using ideas from the old symbology engine or plugins like http://plugins.qgis.org/plugins/mapcoloring/

Files

45.png 155 KB 2013-06-07 Giovanni Manghi

colour_ramp.png 97.6 KB 2013-07-12 Paolo Cavallini

26.png 171 KB 2013-11-24 Giovanni Manghi

27.png 45.9 KB 2013-11-24 Giovanni Manghi
